Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control
Class SourceUnitOperation

An callback interface for use in the applyToSourceUnits loop driver.

Constructor Summary
`SourceUnitOperation()`

Method Summary
`void` | `applyToSourceUnits(SourceUnitOperation body)` A loop driver for applying operations to all SourceUnits.
`void` | `call(SourceUnit source)`

Constructor Detail

### SourceUnitOperation

    SourceUnitOperation()

Method Detail

### applyToSourceUnits

    public void applyToSourceUnits(SourceUnitOperation body)

  A loop driver for applying operations to all SourceUnits. Automatically skips units that have already been processed through the current phase.

### call

    public void call(SourceUnit source)